curl --request POST \
--url https://dev.api.floris3.com/api/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"type": "INDIVIDUAL",
"individual": {
"firstName": "<string>",
"lastName": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"citizenship": "<string>",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>"
},
"kyc": {},
"communication": {
"email": "jsmith@example.com",
"email_confirmed": true
},
"bank_account": {
"account_holder": "<string>",
"bank": "<string>",
"bic": "<string>",
"country": "<string>",
"currency": "<string>",
"iban": "<string>"
},
"is_beneficiary": true
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'INDIVIDUAL',
individual: {
firstName: '<string>',
lastName: '<string>',
birth_date: '2023-12-25',
birth_place: '<string>',
citizenship: '<string>',
street: '<string>',
city: '<string>',
zip: '<string>',
state: '<string>',
country: '<string>',
phone: '<string>'
},
kyc: {},
communication: {email: 'jsmith@example.com', email_confirmed: true},
bank_account: {
account_holder: '<string>',
bank: '<string>',
bic: '<string>',
country: '<string>',
currency: '<string>',
iban: '<string>'
},
is_beneficiary: true
})
};
fetch('https://dev.api.floris3.com/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.api.floris3.com/api/accounts"
payload = {
"type": "INDIVIDUAL",
"individual": {
"firstName": "<string>",
"lastName": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"citizenship": "<string>",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>"
},
"kyc": {},
"communication": {
"email": "jsmith@example.com",
"email_confirmed": True
},
"bank_account": {
"account_holder": "<string>",
"bank": "<string>",
"bic": "<string>",
"country": "<string>",
"currency": "<string>",
"iban": "<string>"
},
"is_beneficiary": True
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "INDIVIDUAL",
"communication": {
"email": "jsmith@example.com",
"email_confirmed": true
},
"bank_account": {
"account_holder": "<string>",
"bank": "<string>",
"bic": "<string>",
"country": "<string>",
"currency": "<string>",
"iban": "<string>"
},
"is_beneficiary": true,
"tax_information": {
"non_assessment_certificate": true,
"tax_identification_number": "<string>",
"is_subject_to_german_tax": true
},
"individual": {
"firstName": "<string>",
"lastName": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"citizenship": "<string>",
"gender": "",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>"
},
"company": {
"name": "<string>",
"registration_number": "<string>",
"legal_form": "<string>",
"vat_id": "<string>",
"incorporation_date": "2023-12-25",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>"
},
"kyc": {
"status": "NEW"
},
"kyb": {
"status": "NEW"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}Create account
Create an individual or company investor account. All country and citizenship fields use ISO 3166-1 alpha-2 codes (A2), e.g. DE, US.
Authorizations
Bearer access token from POST /api/auth
Headers
Unique key for safe retries. Max 128 characters.
1 - 128Body
- Individual
- Company
INDIVIDUAL Hide child attributes
Hide child attributes
1 - 1001 - 100Date in YYYY-MM-DD format (ISO 8601 calendar date).
1 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
2, F, M, D 1 - 2001 - 1001 - 201 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
25 - 20Hide child attributes
Hide child attributes
1 - 1001 - 1008 - 11ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
2315 - 34Response
Created
INDIVIDUAL, COMPANY Hide child attributes
Hide child attributes
1 - 1001 - 1008 - 11ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
2315 - 34Hide child attributes
Hide child attributes
1 - 1001 - 100Date in YYYY-MM-DD format (ISO 8601 calendar date).
1 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
2, F, M, D 1 - 2001 - 1001 - 201 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
25 - 20Hide child attributes
Hide child attributes
1 - 2001 - 501 - 501 - 50Date in YYYY-MM-DD format (ISO 8601 calendar date).
1 - 2001 - 1001 - 201 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
25 - 20
